LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-11-2005, 07:14 AM   #1
greengrocer
Member
 
Registered: Aug 2005
Distribution: Ubuntu Intrepid and Meerkat, formerly used Debian 3.1 (Sarge) with Gnome Desktop
Posts: 353

Rep: Reputation: 37
Cant configure hpijs


USing Debian 3.1 Sarge, trying to install packages in order to get a HP Laserjet printer to work, however packages will not install, seems to be having a big problem with Python, the following are the errors when I apt-get hpijs:

dpkg: error processing python2.3-sip4-qt3 (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of python2.3-qt3:
python2.3-qt3 depends on python2.3-sip4-qt3 (>= 4.0.1); however:
Package python2.3-sip4-qt3 is not configured yet.
python2.3-qt3 depends on python2.3-sip4-qt3 (<< 4.2); however:
Package python2.3-sip4-qt3 is not configured yet.
dpkg: error processing python2.3-qt3 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python-qt3:
python-qt3 depends on python2.3-qt3; however:
Package python2.3-qt3 is not configured yet.
dpkg: error processing python-qt3 (--configure):
dependency problems - leaving unconfigured
Setting up hpijs (2.1.2+0.9.2-2) ...


Has anybody got any experience and solutions on this subject?

I would be greatful for any clues as to how to flsh this problem.

Regards,
Greenie
 
Old 10-15-2005, 07:18 PM   #2
greengrocer
Member
 
Registered: Aug 2005
Distribution: Ubuntu Intrepid and Meerkat, formerly used Debian 3.1 (Sarge) with Gnome Desktop
Posts: 353

Original Poster
Rep: Reputation: 37
I found the problem that caused this,

It was caused by a bad .py file in /usr/lib/python2.3 !!!
 
Old 10-16-2005, 04:17 AM   #3
AwesomeMachine
Senior Member
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian testing/sid; OpenSuSE; Fedora; Mint
Posts: 3,120

Rep: Reputation: 549Reputation: 549Reputation: 549Reputation: 549Reputation: 549Reputation: 549
Use "synaptic", and install all that stuff over again. If the package is already installed, install it over again. There is a search function in synaptic to find packages. On a user terminal window type "xhost +". In a root terminal window type "synaptic".
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Cups + hpijs matttah Linux - Software 4 01-26-2005 03:35 PM
Hpijs/Penggy RySk8er30 Linux - Newbie 0 07-19-2004 12:46 PM
HPIJS filters with LPRng r_jensen11 Linux - Software 1 07-05-2004 09:39 AM
hpijs update puzzlement rblanken Linux - Software 1 06-02-2003 02:53 PM
apsfilter and hpijs screwed up? crashmeister Linux - Software 0 09-25-2002 05:44 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 06:56 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration